Page Summary
-
The content details how to create a new insertion order using a
POSTrequest to the specified API endpoint. -
The request requires a path parameter for the advertiser ID and a request body containing the insertion order details.
-
A successful request returns a newly created insertion order in the response body.
-
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Creates a new insertion order. Returns the newly created insertion order if successful.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/advertisers/{insertionOrder.advertiserId}/insertionOrders
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
insertionOrder.advertiserId |
Output only. The unique ID of the advertiser the insertion order belongs to. |
Request body
The request body contains an instance of InsertionOrder.
Response body
If successful, the response body contains a newly created instance of InsertionOrder.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.